CMS Tool API schema
Public API version 1.4.10.
Events
Events have a start/end date and additional information, they might be bookable, or just for informational purposes
Endpoint URL
https://api.cms-tool.net/api/event
/api/events
Read and update events.
GET
List records, or retrieve one by appending its ID to the path.
Query parameters
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Filter results by id. |
page | int | 123 | Filter results by page. |
keywords | text | example | Filter results by keywords. |
eventtitle | text | example | Filter results by eventtitle. |
offset | int | 123 | Skip this many matching records before returning results. |
pageSize | int | 123 | Limit the number of records returned. |
POST
Create or update a record from a JSON object.
Request content type: application/json
Request body fields
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Set the id value. |
page | int | 123 | Set the page value. |
eventtitle | text | example | Set the eventtitle value. |
eventstartdate | date | 2026-09-24T14:30:00+12:00 | Set the eventstartdate value. |
eventenddate | date | 2026-09-24T14:30:00+12:00 | Set the eventenddate value. |
eventvenue | text | example | Set the eventvenue value. |
eventcapacity | int | 123 | Set the eventcapacity value. |
eventsummary | text | example | Set the eventsummary value. |
Usage instructions and examples
Create a new event
To create a new event use POST method and do not provide any Event Id.
Example:
{
"eventtitle" : "New Year Event",
"eventsummary": "Summary of the event..",
"eventstartdate" : "2019-12-31",
"eventedndate" : "2020-01-01",
"page": 123
}
Update en existing event
You can also update an existing event's details. You must include an Event Id. The rest of the parameters provided will be used to update the event.
Example:
{
"id":123,
"eventtitle":"eventtitle" : "The event title has been changed" ...
}
Sample object
{
"eventcapacity": 9999,
"eventid": 1234,
"eventattendeecnt": 0,
"eventtakebookingsuntil": "00:00:01",
"eventendtime": "10:00:00",
"event_enquiry_form": "Always",
"eventpid": 0,
"eventwebinarurl": "https://webinarurl.com",
"site_search_keywords": "^webinar",
"eventauthorid": 0,
"eventenddate": "2021-11-10",
"eventtimestamp": "2021-09-14 11:52:00.0",
"eventtitle": "Webinar event",
"eventstartdate": "2021-11-10",
"parenteventid": 0,
"event_privacy": 0,
"id": 1234,
"page": 111,
"eventvenue": 0,
"eventstarttime": "09:00:00",
"cid": 222
}
Machine-readable documentation
This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.